Subject: Re: [urn] The 3406bis template

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 13 Nov 2013 16:13:08 -0700

[ old thread alert ]

On 8/2/13 6:51 AM, John C Klensin wrote:
> Hi.
> 
> I just looked back through the template in
> draft-ietf-urnbis-rfc3406bis-urn-ns-reg-06 in the light of the
> WG discussion this morning.
> 
> The template description is now over four pages long and some of
> the suggestions made this morning will probably make it longer.
> That is pretty scary; it asks for enough information be copied
> into the template and handed to IANA to probably be seen as a
> barrier to registration in some quarters.  
> 
> Recommendations:
> 
> (1) When the "instructions to Expert Reviewer" material is
> added, be clear about what is required and what is merely
> expected.  Then reflect that in the sections of the template
> itself.
> 
> (2) Number or otherwise identify the sections of the template to
> make references and cross-references convenient.  That will,
> fwiw, keep this document from running afoul of some
> possibly-pending RFC Editor style rules.
> 
> (3) Create an internal table of contents for the template itself.
> 
> (4) Explicitly permit most sections of the template to be
> incorporated by reference to a stable external specification
> (stable by at least the "Specification Required" definition, not
> just the RFC Editor one) or by a mixture of text and such a
> reference.  By explicit about which ones cannot (I think the
> first three sections need to be present in the template itself).
> 
> Let's not make this any harder than it absolutely needs to be.

I completely agree. In fact, over the last few days I have performed
some major surgery on 3406bis to further simplify registration. In my
working copy, the template is now one page, not four. I will submit my
proposal soon so that folks here can review it. It's possible that I've
gone too far in the direction of simplification, in which case we can
always meeting somewhere in the middle.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/